package edu.whs.spin2018.baoapp.model.spiel.spieler;

import edu.whs.spin2018.baoapp.model.spiel.Position;

/**
 * Ist primaer fuer die Reihenfolge, in der die Spielzuege ausgefuehrt werden relevant.
 * Spieler Eins beginnt standardmaessig.
 */
public enum SpielerIndex {
    SPIELER_EINS(2, 3), SPIELER_ZWEI(0, 1);

    private final int minZeile;
    private final int maxZeile;

    SpielerIndex(int minZeile, int maxZeile) {
        this.minZeile = minZeile;
        this.maxZeile = maxZeile;
    }

    public boolean pruefeObPositionInSpielbereich(Position pos) {
        return (pos.gibZeile() >= minZeile) && (pos.gibZeile() <= maxZeile);
    }
}
